aboutsummaryrefslogtreecommitdiffstats
path: root/qtsixa/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-11-18 21:54:40 +0100
committerMattias Andrée <maandree@operamail.com>2012-11-18 21:54:40 +0100
commit352267912d243d4454d98370e998e70346e03572 (patch)
tree9e792fe2788e419e6a778aa850578cc98855921d /qtsixa/watch
parentadopt python2-numpydoc + update gitignore (diff)
downloadaur-packages-352267912d243d4454d98370e998e70346e03572.tar.gz
aur-packages-352267912d243d4454d98370e998e70346e03572.tar.bz2
aur-packages-352267912d243d4454d98370e998e70346e03572.tar.xz
adopt qtsixa
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'qtsixa/watch')
-rwxr-xr-xqtsixa/watch17
1 files changed, 17 insertions, 0 deletions
diff --git a/qtsixa/watch b/qtsixa/watch
new file mode 100755
index 0000000..40b452e
--- /dev/null
+++ b/qtsixa/watch
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+wget http://sourceforge.net/projects/qtsixa/files/ >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ grep QtSixA < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'qtsixa'
+ fi
+ rm index.html
+else
+ echo 'qtsixa (unfetchable)'
+fi
+